function lu=pde2dmatvec(u,pde_data)
%
% Matrix-free computation of linear elliptic operator
% Nonsymmetric for GMRES demo
%
% Lu = - (u_xx + u_yy) + ax*u_x + ay*u_y + ac*u
%
ax=pde_data.ax;
ay=pde_data.ay;
ac=pde_data.ac;
lu=  lapmf(u) + ax.*dxmf(u) + ay.*dymf(u) + ac.*u;
end
